<?php

namespace Hilco\Models;
use Illuminate\Database\Eloquent\Model;

/**
 */
class CustomerSpendingByProductCategory extends Model {
	protected $table = 'CustomerSpendingByProductCategory';

    public function customer() {
        return $this->belongsTo(Customer::class, 'customer_id', 'id');
    }

    public function productCategoryGroup() {
        return $this->belongsTo(ProductCategoryGroup::class, 'productcategorygroup_id', 'id');
    }

    public function fiscalCalendarDate() {
        return $this->belongsTo(FiscalCalendarDate::class, 'fiscalcalendardate_id', 'id');
    }
}
